Loading...
Searching...
No Matches
globus_callout.h File Reference

Globus Callout Infrastructure. More...

`#include "globus_common.h"`
`#include "globus_callout_constants.h"`

Go to the source code of this file.

## Macros

#define | GLOBUS_CALLOUT_MODULE

## Typedefs

typedef struct globus_i_callout_handle_s * | globus_callout_handle_t
typedef globus_result_t(* | globus_callout_function_t) (va_list ap)

## Functions

globus_result_t | globus_callout_handle_init (globus_callout_handle_t *handle)
globus_result_t | globus_callout_handle_destroy (globus_callout_handle_t handle)
globus_result_t | globus_callout_read_config (globus_callout_handle_t handle, char *filename)
globus_result_t | globus_callout_register (globus_callout_handle_t handle, char *type, char *library, char *symbol)
globus_result_t | globus_callout_call_type (globus_callout_handle_t handle, char *type,...)

## Variables

globus_module_descriptor_t | globus_i_callout_module

## Detailed Description

Globus Callout Infrastructure.

Author
  Sam Meder